Story
此页面暂无中文版本,显示的是英文版本。
Get available stories for merge
Returns stories of the same project type as the given story, excluding the story itself. Used for merge modal.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*integer
Story ID
Query Parameters
limit?integer
Pagination limit
Default
10offset?integer
Pagination offset
Default
0name?string
Filter by story name
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/stories/1/available?limit=10&offset=0"{ "data": [ { "id": 1, "name": "production", "createdAt": "2019-08-24T14:15:22Z", "projectType": { "id": 0, "name": "string", "alias": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } } ], "pagination": { "maxCount": 42 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}